Automated bookings report
/v1/AutomatedBookingReport/GetAutomatedBookingsautomatedbooking.readRetrieve a paginated list of automated bookings.
Use this report to export or monitor bookings that were created through automated channels. Results can be filtered by status, booking type, booker details, and date ranges.
Request body
Parameters
pageNumberintegerOptionalpageSizeintegerOptionalstatusinteger[]OptionalbookingTypesinteger[]OptionalcurrencyCodestringRequiredreservationIdintegerOptionalbookerEmailstringOptionalbookerCompanystringOptionalbookerNamestringOptionalstartDatedate-timeOptionalendDatedate-timeOptionalcreatedSincedate-timeOptionalcreatedUntildate-timeOptionalmodifiedSincedate-timeOptionalmodifiedUntildate-timeOptionalexpand.reservationDaysbooleanOptionalexpand.reservationDayFoodDrinksbooleanOptionalexpand.reservationDayEquipmentsbooleanOptionalexpand.vatratesbooleanOptionalexpand.costCentersbooleanOptionalexpand.currenciesbooleanOptionalexpand.approverbooleanOptionalexpand.transactionsbooleanOptionalResponse
Returns a paginated list of AutomatedReport objects.
The AutomatedReport object
reservationIdintegerUnique reservation identifier.
companyIdintegerIdentifier of the company that owns the booking.
affiliateGroupIdintegerIdentifier of the affiliate group, if applicable.
statusstringCurrent booking status name.
statusIdintegerCurrent booking status identifier.
startDatedate-timeStart date and time of the booking.
endDatedate-timeEnd date and time of the booking.
recordCreateddate-timeWhen the booking was created.
recordModifieddate-timeWhen the booking was last modified.
attendeesintegerTotal number of attendees.
totalintegerTotal amount in cents.
netValueintegerNet value in cents.
vatintegerVAT amount in cents.
vatRatedecimalVAT rate applied.
totalSavingsintegerTotal savings in cents.
commissionintegerCommission amount in cents.
totalCommissionintegerTotal commission in cents.
exchangeRatedecimalExchange rate used for currency conversion.
bookingCurrencyISOCodestringISO 4217 currency code of the booking.
meetingNamestringName of the meeting.
bookingTypeIdintegerIdentifier of the booking type.
bookingTypeNamestringName of the booking type.
amountPaidintegerAmount paid in cents.
amountRefundedintegerAmount refunded in cents.
billingReferenceNumberstringBilling reference number.
isCompanyPrefferredbooleanWhether the venue is preferred by the company.
isAffiliatePreferredbooleanWhether the venue is preferred by the affiliate.
dateCancelleddate-timeDate the booking was cancelled, if applicable.
acceptedDatedate-timeDate the booking was accepted.
Expandable collections
venueobjectVenue details. Included when venue data is expanded.
bookerobjectBooker details. Included when user details are expanded.
companyobjectCompany details. Included when company details are expanded.
approverobjectApprover details. Requires expand.approver.
cancellationPolicyobjectCancellation policy for the booking. Included when cancellation policy is expanded.
reservationDaysarrayDay-by-day breakdown of the booking. Requires expand.reservationDays.
transactionRequestarrayPayment transactions. Requires expand.transactions.
customFieldDatasarrayCustom field values. Requires expand.costCenters.
Pagination
pageNumberintegerCurrent page number.
pageSizeintegerNumber of items per page.
totalCountintegerTotal number of matching entries.
Errors
| Status | Meaning |
|---|---|
400 Bad Request | Validation failed. Check the response for property-level errors. |
401 Unauthorized | The Bearer token is missing, expired, or lacks the required scope. |
403 Forbidden | The client is not permitted to view automated bookings. |
curl -X POST https://dashboard.alpha.meetingsbooker.com/reportingapi/v1/AutomatedBookingReport/GetAutomatedBookings \
-H "Authorization: Bearer $TOKEN" \
-H "Content-Type: application/json" \
-d '{
"currencyCode": "EUR",
"status": [1, 2],
"pageSize": 50
}'{
"items": [
{
"reservationId": 98765,
"companyId": 1001,
"affiliateGroupId": 55,
"status": "Confirmed",
"statusId": 1,
"startDate": "2025-06-01T09:00:00Z",
"endDate": "2025-06-03T17:00:00Z",
"recordCreated": "2025-01-10T11:00:00Z",
"recordModified": "2025-01-15T14:30:00Z",
"attendees": 24,
"total": 50000,
"netValue": 42000,
"vat": 8000,
"vatRate": 0.20,
"totalSavings": 2000,
"commission": 1000,
"totalCommission": 1200,
"exchangeRate": 1.0,
"bookingCurrencyISOCode": "EUR",
"meetingName": "Annual Conference",
"bookingTypeId": 1,
"bookingTypeName": "Meeting",
"amountPaid": 50000,
"amountRefunded": 0,
"billingReferenceNumber": "INV-2025-98765",
"isCompanyPrefferred": true,
"isAffiliatePreferred": false,
"dateCancelled": null,
"acceptedDate": "2025-01-12T10:00:00Z",
"venue": {
"venueId": 42,
"venueName": "Grand Hotel Dublin",
"venueCountry": "Ireland",
"venueCity": "Dublin",
"venueAddress": "1 Merrion Square, Dublin 2",
"latitude": 53.3389,
"longitude": -6.2505,
"folderText": "Dublin venues"
},
"booker": {
"userId": 101,
"name": "Alice Smith",
"companyName": "Example Ltd",
"email": "alice@example.com"
},
"company": {
"companyId": 1001,
"companyName": "Example Ltd",
"costCentreName": "Marketing",
"costCentreId": 10,
"costCentreCode": "MKT-001",
"departmentId": 5,
"departmentName": "Events",
"affiliateCorporateId": "CORP-001",
"affiliateCompanyId": "AFF-001"
},
"approver": {
"approverUserId": 201,
"name": "Bob Jones",
"email": "bob@example.com"
},
"cancellationPolicy": {
"partialRefundExpires": null,
"fullRefundExpires": "2025-05-25T23:59:59Z"
},
"reservationDays": [
{
"reservationDayId": 1001,
"reservationDurationTypeId": 1,
"reservationDurationType": "Full day",
"reservationVersionId": 5001,
"reservationDayDate": "2025-06-01T00:00:00Z",
"reservationDayRooms": [
{
"reservationDayRoomId": 2001,
"reservationDayId": 1001,
"venueRoomId": 301,
"venueRoomShapeId": 2,
"venueRoomShape": "Theatre",
"reservationVersionId": 5001,
"attendees": 24,
"venueRoomPrice": 15000,
"venueRoomPriceExVat": 12500,
"venueRoomVAT": 2500,
"vatRate": 0.20,
"venueRoom": {
"venueRoomId": 301,
"venueId": 42,
"venueRoomName": "Wicklow Suite",
"venueRoomImageUrl": "https://cdn.hubli.com/rooms/301.jpg"
}
}
],
"reservationDayFoodDrinks": [
{
"reservationDayFoodDrinkId": 3001,
"reservationDayId": 1001,
"reservationVersionId": 5001,
"venueFoodDrinkId": 401,
"foodDrinkGroupId": 1,
"foodDrinkGroup": "Lunch",
"foodDrinkText": "Working lunch",
"serveOnArrival": false,
"quantity": 24,
"foodDrinkPrice": 1200,
"foodDrinkPriceExVat": 1000,
"foodDrinkVAT": 200,
"vatRate": 0.20,
"pricePerPerson": 50,
"pricePerPersonVAT": 10,
"breakNumber": 1
}
],
"reservationDayEquipments": []
}
],
"transactionRequest": [
{
"transactionRequestId": 4001,
"transactionDescription": "Deposit",
"totalAmountInCents": 5000000,
"transactionResultId": 1,
"transactionResultText": "Success",
"captured": true,
"recordCreated": "2025-01-10T11:00:00Z",
"recordModified": "2025-01-10T11:00:00Z",
"transactionRefunds": []
}
],
"customFieldDatas": [
{
"id": 5001,
"value": "CC-4412",
"text": "CC-4412",
"label": "Cost centre",
"fieldName": "cost_centre",
"typeId": 1,
"typeName": "Text"
}
]
}
],
"pageNumber": 1,
"pageSize": 50,
"totalCount": 1
}